[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# StartsText

Check whether one text starts with another

## Declaration

Source position: strutils.pp line 36

`function StartsText(`
`const ASubText: string;`
`const AText: string`
`):Boolean;`

## Description

StarsText checks whether aText starts with aSubText and returns True if it does. i.e. it returns true if the first characters of aText are aSubText. It follows that the length of aText must be at least the length of aSubText. The comparison is made case-insensitive. If you wish to compare case-sensitively, use StartsStr instead.

## See also

AnsiStartsText |  | Check whether a string starts with a given substring, ignoring case
EndsText |  | Check whether one text ends with another
StartsStr |  | Check whether one string starts with another